﻿using System.Windows;
using System.Windows.Controls;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.displaySourceButton.Click += displaySourceButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Display Source 버튼 클릭시 처리하기 - displaySourceButton_Click(sender, e)

        /// <summary>
        /// Display Source 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void displaySourceButton_Click(object sender, RoutedEventArgs e)
        {
            ValueSource visualSource = DependencyPropertyHelper.GetValueSource
            (
                this.testButton as DependencyObject,
                Button.ForegroundProperty
            );

            MessageBox.Show($"Foreground 속성 소스 : {visualSource.BaseValueSource}");
        }

        #endregion
    }
}